Name:           xnvme
Version:        0.7.4
Release:        1%{?dist}
Summary:        Unified API and tools for traditional and emerging I/O interfaces

License:        BSD-3-Clause
URL:            https://github.com/OpenMPDK/xNVMe
Source:         %{url}/releases/download/v%{version}/xnvme-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  libaio-devel
BuildRequires:  liburing-devel

%description
%{summary}.
Minimal-overhead libraries and tools for cross-platform storage I/O and
NVMe-native development. A unified API encapsulating traditional block-I/O via
psync, libaio, and io_uring as well as user-space NVMe drivers.

%package devel
Summary:        Development library and header files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This contains the headers and libraries for developing against %{name}.

%package static
Summary:        Static library for %{name}

%description static
%{summary}.

%package tools
Summary:        Command-line tools for storage I/O and NVMe-native development
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description tools
%{summary}.

%prep
%autosetup

%build
%meson -Dforce_completions=true -Dwith-libvfn=disabled -Dwith-isal=disabled -Dwith-spdk=false -Dexamples=false -Dtests=false
%meson_build

%install
%meson_install

%files
%{_libdir}/lib%{name}.so.0*

%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/lib%{name}*.h

%files static
%{_libdir}/lib%{name}.a

%files tools
%{_bindir}/kvs
%{_bindir}/lblk
%{_bindir}/xdd
%{_bindir}/%{name}
%{_bindir}/%{name}-driver
%{_bindir}/%{name}_file
%{_bindir}/zoned
%{_mandir}/man1/kvs*
%{_mandir}/man1/lblk*
%{_mandir}/man1/xdd*
%{_mandir}/man1/%{name}-*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}_file*
%{_mandir}/man1/zoned*
%{_datadir}/bash-completion/completions/kvs-completions
%{_datadir}/bash-completion/completions/lblk-completions
%{_datadir}/bash-completion/completions/xdd-completions
%{_datadir}/bash-completion/completions/%{name}-completions
%{_datadir}/bash-completion/completions/%{name}_file-completions
%{_datadir}/bash-completion/completions/zoned-completions

%changelog
* Thu Feb 08 2024 Richard W.M. Jones <rjones@redhat.com> - 0.7.4-1
- Initial version
